import { request } from '@/utils/axios'
import { Md5 } from "ts-md5";
/**
 * @description -封装User类型的接口方法
 */
export class UserService {       // 模块一
    /**
     * @description 用户登录
     * @param {string} username - 用户名
     * @return {HttpResponse} result
     */
    static async login1(uuid) {   // 接口一
        return  `http://192.168.8.103:9999/captchas/${uuid}/LOGIN?rmd=${new Date().getTime()}`
    }
    static async login(params) {   // 接口二
        params.password = Md5.hashStr(params.password)
        return request('/admin/systems/admin-users/login', params, 'get')
    }
    static async login3(params) {   // 接口三
        return request('/login', params, 'post')
    }
}

export class landRelevant {     // 模块二
    /**
     * @description 获取地列表
     * @return {HttpResponse} result
     */
    static async landList(params) {
        return request('/land_list_info', params, 'get')
    }
}